summaryrefslogtreecommitdiff
path: root/libraries/t38modem-opal/t38modem-opal.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/t38modem-opal/t38modem-opal.SlackBuild')
-rw-r--r--libraries/t38modem-opal/t38modem-opal.SlackBuild152
1 files changed, 152 insertions, 0 deletions
diff --git a/libraries/t38modem-opal/t38modem-opal.SlackBuild b/libraries/t38modem-opal/t38modem-opal.SlackBuild
new file mode 100644
index 0000000000..8cd3df3639
--- /dev/null
+++ b/libraries/t38modem-opal/t38modem-opal.SlackBuild
@@ -0,0 +1,152 @@
+#!/bin/sh
+
+# Slackware build script for t38modem-opal
+
+# Copyright 2008-2009 Mauro Giachero
+# Copyright 2011 David Woodfall
+# Copyright 2020 Chris Walker
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=t38modem-opal
+VERSION=${VERSION:-3.10.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+SRCNAM=opal
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# patch and seds from lfs:
+# http://www.linuxfromscratch.org/blfs/view/svn/multimedia/opal.html
+patch -p1 --verbose < $CWD/ffmpeg2.patch
+
+sed -e 's/CODEC_ID/AV_&/' \
+ -e 's/PIX_FMT_/AV_&/' \
+ -i plugins/video/H.263-1998/h263-1998.cxx \
+ plugins/video/common/dyna.cxx \
+ plugins/video/H.264/h264-x264.cxx \
+ plugins/video/MPEG4-ffmpeg/mpeg4.cxx
+
+sed -e '/<< mime.PrintContents/ s/mime/(const std::string\&)&/' \
+ -i src/im/msrp.cxx &&
+
+sed -e '/abs(/s/MPI.*)/(int)(&)/' \
+ -i ./plugins/video/common/mpi.cxx
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-shared \
+ --enable-ivr \
+ --enable-rfc4175 \
+ --enable-rfc2435 \
+ --enable-aec \
+ --enable-g711plc \
+ --enable-rtcpxr \
+ --enable-statistics \
+ --enable-mixer \
+ --enable-pcss \
+ --enable-rfc4103 \
+ --enable-fax \
+ --enable-h450 \
+ --enable-h460 \
+ --enable-h239 \
+ --enable-h501 \
+ --enable-lid \
+ --enable-zrtp \
+ --enable-srtp \
+ --enable-capi \
+ --enable-java \
+ --enable-ruby \
+ --enable-video \
+ --enable-sip \
+ --enable-h323 \
+ --enable-iax2 \
+ --enable-h224 \
+ --enable-h281 \
+ --enable-t38 \
+ --enable-msrp \
+ --enable-sipim \
+ --enable-plugins \
+ --build=$ARCH-slackware-linux
+
+make VERBOSE=1
+make install DESTDIR=$PKG
+
+# Remove static library
+rm $PKG/usr/lib${LIBDIRSUFFIX}/libopal_s.a
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a mpl-1.0.htm docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}